curl --request PATCH \
--url https://flow.seekr.com/v1/flow/tools/{tool_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "my file search tool",
"description": "contains files about ",
"config": {
"file_search_index": "my-document-index",
"top_k": 10,
"score_threshold": 0.7
}
}
'{
"id": "<string>",
"name": "<string>",
"config": {
"FILE_SEARCH_INDEX": "<string>",
"EMBEDDING_MODEL": "<string>",
"TOP_K": 10,
"SCORE_THRESHOLD": 0
},
"user_id": "<string>",
"team_id": "<string>",
"status": "Active",
"version": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"type": "file_search"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Update tool
Partially update an existing tool. Omitted fields remain unchanged.
PATCH
/
v1
/
flow
/
tools
/
{tool_id}
curl --request PATCH \
--url https://flow.seekr.com/v1/flow/tools/{tool_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "my file search tool",
"description": "contains files about ",
"config": {
"file_search_index": "my-document-index",
"top_k": 10,
"score_threshold": 0.7
}
}
'{
"id": "<string>",
"name": "<string>",
"config": {
"FILE_SEARCH_INDEX": "<string>",
"EMBEDDING_MODEL": "<string>",
"TOP_K": 10,
"SCORE_THRESHOLD": 0
},
"user_id": "<string>",
"team_id": "<string>",
"status": "Active",
"version": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"type": "file_search"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Tool type cannot be changed after creation. If you include the
type field in your request, it must match the existing tool type.
Tool updates propagate immediately to all agents using the tool.
MCP connector
You can updatename and description. If you need to connect to a different server or change credentials, create a new MCP connector tool and update your agent’s tool_ids.
Agent as tool
You can updatename and description. The underlying sub-agent cannot be changed. To use a different sub-agent, create a new agent-as-tool for that sub-agent.Authorizations
Your Seekr API key, sent in the Authorization header with no 'Bearer' prefix.
Path Parameters
ID of the tool.
Body
application/json
Name of the tool.
Maximum string length:
256Description of the tool.
Maximum string length:
32768Type of the tool.
Available options:
file_search, web_search, run_python, agent_as_tool, mcp_connector Configuration for the tool.
Response
Success
- FileSearchResponse
- RunPythonResponse
- WebSearchResponse
- AgentAsToolResponse
- MCPConnectorToolResponse
ID of the tool.
Name of the tool.
Show child attributes
Show child attributes
ID of the user who owns the tool.
ID of the team the tool belongs to.
Available options:
Active, Inactive, Deprecated, Pending_authorization, Failed Version number of the tool.
Time the tool was created, in ISO 8601 format.
Time the tool was last updated, in ISO 8601 format.
Description of the tool.
Allowed value:
"file_search"Last modified on July 31, 2026
⌘I